compression.hpp File Reference
`#include <cerrno>`
`#include <functional>`
`#include <map>`
`#include <memory>`
`#include <stdexcept>`
`#include <string>`
`#include <system_error>`
`#include <tuple>`
`#include <utility>`
`#include <unistd.h>`
`#include <osmium/io/detail/read_write.hpp>`
`#include <osmium/io/error.hpp>`
`#include <osmium/io/file_compression.hpp>`
`#include <osmium/io/writer_options.hpp>`
`#include <osmium/util/compatibility.hpp>`
Include dependency graph for compression.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::io::Compressor
class | osmium::io::Decompressor
class | osmium::io::CompressionFactory
class | osmium::io::NoCompressor
class | osmium::io::NoDecompressor

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::io
| Everything related to input and output of OSM data.